#ifndef TASK_SERVER_MISC_H
#define TASK_SERVER_MISC_H

#include <l4.h>

/* FIXME: Should be defined in some header file */
#if L4_WORDSIZE_32
# define L4_BITS_PER_WORD 32
# define SUBSYSTEM_SHIFT 15
#elif L4_WORDSIZE_64
# define L4_BITS_PER_WORD 64
# define SUBSYSTEM_SHIFT 29
#else
# error Unknown word size
#endif

/* I'd like the l4_msg_tag function/constructor to take more
   arguments */
inline l4_msg_tag_t
make_l4_tag(l4_word_t label, l4_word_t typed, l4_word_t untyped);

#endif /* TASK_SERVER_MISC_H */
