#ifndef TASK_SERVER_TRANSACTION_H
#define TASK_SERVER_TRANSACTION_H

#include <l4.h>

void
transaction_init(void);

l4_word_t
transaction_alloc(void);

void
transaction_note_death(l4_word_t task);

/* Operations */
l4_word_t
transaction_create_send_record(l4_word_t sender,
			       l4_word_t receiver,
			       l4_word_t subject,
			       l4_word_t handle,
			       l4_word_t *new_transaction);


l4_word_t
transaction_receive(l4_word_t transaction,
		    l4_word_t sender,
		    l4_word_t receiver,
		    l4_word_t *handle);

l4_word_t
transaction_destroy(l4_word_t id, l4_word_t sender);

#endif /* TASK_SERVER_TRANSACTION_H */
